API ReferenceapicommunityDELETE /v1/communities/{slug}

DELETE /v1/communities/\{slug\}

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • slug (string) required

Responses

200 Community deleted

{
  "type": "object",
  "properties": {
    "success": {
      "type": "boolean",
      "enum": [
        true
      ]
    }
  },
  "required": [
    "success"
  ]
}

403 Not the owner

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

404 Community not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X DELETE https://community.platform.loop.health/v1/communities/{slug} \
  -H "Authorization: Bearer $ACCESS_TOKEN"